Function
globalAlignmentScore
Computes the best global pairwise alignment score.
globalAlignmentScore(seqH, seqV, scoringScheme, [alignConfig,] [lowerDiag, upperDiag,] [algorithmTag])
globalAlignmentScore(strings, scoringScheme, [alignConfig,] [lowerDiag, upperDiag,] [algorithmTag])
globalAlignmentScore(seqH, seqV, {MyersBitVector | MyersHirschberg})
globalAlignmentScore(strings, {MyersBitVector | MyersHirschberg})
Parameters

seqH | Horizontal gapped sequence in alignment matrix. Types: String
seqV | Vertical gapped sequence in alignment matrix. Types: String
strings | A StringSet containing two sequences. Types: StringSet
scoringScheme | The scoring scheme to use for the alignment. Note that the user is responsible for ensuring that the scoring scheme is compatible with algorithmTag. Types: Score
alignConfig | The AlignConfig to use for the alignment. Types: AlignConfig
lowerDiag | Optional lower diagonal. Types: int
upperDiag | Optional upper diagonal. Types: int
algorithmTag | The Tag for picking the alignment algorithm. Types: Gotoh, Hirschberg, MyersBitVector, MyersHirschberg, NeedlemanWunsch

Remarks
This function does not perform the (linear time) traceback step after the (mostly quadratic time) dynamic programming step. Note that Myers' bit-vector algorithm does not compute an alignment (only in the Myers-Hirschberg variant) but scores can be computed using globalAlignmentScore.
The same limitations to algorithms as in globalAlignment apply. Furthermore, the MyersBitVector and MyersHirschberg variants can only be used without any other parameter.
Return Values
An integer with the alignment score, as given by the Value metafunction of the Score type.
See Also
Pairwise Global Alignment Algorithms, globalAlignment
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58